Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.rtf.rtflib.rtfdoc
Class RtfPageArea

    java.lang.Object
      org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
          org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
              org.apache.fop.render.rtf.rtflib.rtfdoc.RtfPageArea

    public class RtfPageArea

extends RtfContainer

Page area container.

This work was authored by Christopher Scott (scottc@westinghouse.com).

Field Summary

Fields inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`attrib, parent, writer`

Method Summary
`RtfPage` | `newPage(RtfAttributes attr)` Close current Rtfpage if any and create a new one
`protected boolean` | `okToWriteRtf()` can be overridden to suppress all RTF output

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfContainer
`addChild, findChildren, getChildCount, getChildren, isEmpty, setChildren, setOptions, toString, writeRtfContent`

Methods inherited from class org.apache.fop.render.rtf.rtflib.rtfdoc.RtfElement
`close, getParentOfClass, getRtfAttributes, newLine, writeAttributes, writeControlWord, writeControlWordNS, writeExceptionInRtf, writeGroupMark, writeOneAttribute, writeOneAttributeNS, writeRtf, writeRtfPrefix, writeRtfSuffix, writeStarControlWord, writeStarControlWordNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### newPage

    public RtfPage newPage(RtfAttributes attr)
                    throws java.io.IOException

  Close current Rtfpage if any and create a new one

  Parameters:
    `attr` - attributes for new RtfPage
  Returns:
    new RtfPage
  Throws:
    `java.io.IOException` - for I/O problems

### okToWriteRtf

    protected boolean okToWriteRtf()

  Description copied from class: `RtfElement`
  can be overridden to suppress all RTF output

  Overrides:
    `okToWriteRtf` in class `RtfContainer`
  Returns:
    true

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.